//script for old guys in the bar

void main( void )
{

preload_seq(411);
preload_seq(413);
int &myrand;
sp_brain(&current_sprite, 0);
sp_base_walk(&current_sprite, 410);
sp_speed(&current_sprite, 0);

//set starting pic

sp_pseq(&current_sprite, 411);
sp_pframe(&current_sprite, 1);

mainloop:
wait(2000);
if (&temp4hold == 1)
  {
&myrand = random(5, 1);
  if (&myrand == 1)
  {
  say_stop_npc("`0打架！！！!", current_sprite);
  }
   goto mainloop;
  }
&myrand = random(8, 1);

  if (&myrand == 1)
  {
  sp_pseq(&current_sprite, 411);
  }

  if (&myrand == 2)
  {
  sp_pseq(&current_sprite, 413);
  }

&myrand = random(28, 1);

  if (&myrand == 1)
  {
  say_stop_npc("`3Nathan，换个故事吧。", &temp3hold);
  say_stop_npc("`0好的。", &current_sprite);
  say_stop_npc("`0有一次我在和这条龙战斗...", &current_sprite);
  say_stop_npc("`0就当我准备发出致命一击的时候....", &current_sprite);
  say_stop_npc("`0他居然求我放了他。你们有谁见过龙哭的？", &current_sprite);
  wait(400);
  say_stop_npc("`3没有。", &temp3hold);
  wait(400);
if (&temp4hold == 1)
  {
   goto mainloop;
  }

  say_stop_npc("`4哈，那些老头子还真是的...", &temphold);
  say_stop_npc("`0不管怎么样，那龙不漂亮啊，所以我还是宰了他。", &current_sprite);
  say_stop_npc("`3你倒是在哪见到的龙？", &temp3hold);
  say_stop_npc("`0啊.. Joppa 岛", &current_sprite);
  say_stop_npc("`3骗子.. Joppa 岛是骗小孩子的传说，根本就不存在嘛。", &temp3hold);

  }

  if (&myrand == 2)
  {
  say_stop_npc("`0我有说过我训练过 Slayer 吗？", &current_sprite);
  say_stop_npc("`3你什么？！训练过 Slayer?!", &temp3hold);
  say_stop_npc("`0是啊，他小时候我就开始训练了。特别听话的，我叫他干什么就干什么。", &current_sprite);
  say_stop_npc("`3现在在哪呢？", &temp3hold);
  say_stop_npc("`0还是把他给宰了，吃过Slayer肉吗？", &current_sprite);
if (&temp4hold == 1)
  {
   goto mainloop;
  }

  say_stop_npc("`4玩笑开大了吧...", &temphold);
  say_stop_npc("`0可比你这供应的好吃啊，老板！", &current_sprite);
  say_stop_npc("`4我会记下来的...", &temphold);

  }

  if (&myrand == 3)
  {
  say_stop_npc("`0另外还有那次我找到个魔法卷轴的故事", &current_sprite);
  say_stop_npc("`3真的？", &temp3hold);
  say_stop_npc("`0当然是真的，那是个奇怪的火法术。", &current_sprite);
  say_stop_npc("`0几年前那场大火可能也有我的功劳。", &current_sprite);
  say_stop_npc("`0那时可是一片沸腾！", &current_sprite);
  say_stop_npc("`3你又喝多了。", &temp3hold);
  }
  if (&myrand == 4)
  {
  say_stop_npc("`0想去打猎吗？", &current_sprite);
  say_stop_npc("`3额，想啊，你想干什么呢？", &temp3hold);
  say_stop_npc("`0听说东北方的那个山洞里有好东西。", &current_sprite);
  say_stop_npc("`3啊，那个啊，我不知道...", &temp3hold);
  }


goto mainloop;
}


void hit( void )
{
sp_speed(&current_sprite, 0);
wait(400);
say_stop_npc("`0孩子，你得学会礼貌待人", &current_sprite);
wait(800);
goto mainloop;
}

void talk( void )
{

 freeze(1);
         choice_start()
(&s2-milder == 0) "向这些人展现你的英勇"
(&s2-milder == 1) "说服他们你确实是个战士"
(&s2-milder == 2) (&story < 8) "更激烈地与他们争论"
(&s2-milder == 2) (&story > 7) "和他们聊天"
         "离开"
         choice_end()

    if (&result == 1)
    {
wait(500);
 say_stop("先生们好，我给你们带来东边的冒险故事。", 1);
     //scene with Milder
  preload_seq(401);
  preload_seq(403);
  preload_seq(407);
  preload_seq(409);
  sp_pseq(&temp3hold, 349);
  say_stop("`0哦真的吗？你又是何人？", &current_sprite);
  wait(500);
  say_stop("我叫丁克小森林，我是个武士！", 1);
  wait(500);
  sp_pseq(&current_sprite, 413);
  say_stop("`3你也探险了吗？", &temp3hold);
  wait(500);
  say_stop("是啊是啊，有一次，我到了这个很恐怖的山洞里...", 1);
  wait(500);
  say_stop("`0继续说继续说！", &current_sprite);
  wait(500);
  say_stop("接下来我就看到一个恐怖的大怪兽...", 1);
  playmidi("bullythe.mid");
  int &milder = create_sprite(261, 440, 0, 0,0);
  sp_base_walk(&milder, 400);
  sp_speed(&milder, 1);
  sp_timing(&milder, 0);
move_stop(&milder, 9, 420, 1)
move_stop(&milder, 7, 386, 1)
sp_dir(1, 6);
say_stop("`6这个养猪人又在胡说什么了？", &milder);
wait(300);
  say_stop("`0他是个养猪的？！！", &current_sprite);
  wait(300);
  say_stop("呀呀的 Milder!  你来干什么？", 1);
move_stop(&milder, 4, 300, 1)
  wait(300);

say_stop("`6路过而已... 你离开农场到这来干什么呢？", &milder);
  wait(300);
  say_stop("`3农场？太逊了吧", &temp3hold);
  wait(300);
  sp_dir(1, 4);
  say_stop("我不管猪了啦，现在的我是个勇敢的武士。", 1);
  wait(500);
  say_stop("`0Oh hogwash!", &current_sprite);
  wait(500);
  say("`3啊哈哈哈哈哈!", &temp3hold);
  say_stop("`6哈哈哈!  太好笑了", &milder);
 wait(400);
 say_stop("一点都不好笑啦！",1);
 wait(400);
  say_stop("`0是我的错丁克，我给你买点喝的吧。", &current_sprite);
 wait(400);
 say_stop("太好了，喝什么呢？",1);
 wait(400);
  say_stop("`0一瓶 SWINE (swine = 猪，这里是个笑话，是wine 加上个s,还是在嘲笑丁克） 吧，如何？啊哈哈哈哈哈哈!", &current_sprite);
 wait(400);
  say("`3哈哈哈哈哈!", &temp3hold);
  say_stop("`6哈哈哈!", &milder);
 wait(200);
 say_stop("可恶！我恨死你们了！", 1);
 wait(200);
 say_stop("`6养猪的孩子，虽然这挺好玩的，可我有真的冒险要去探索了。拜拜。", &milder);
 move_stop(&milder, 3, 370, 1)
 move_stop(&milder, 1, 210, 1)
  playmidi("");

 say_stop("`0他说养猪的孩子...", &current_sprite);
 wait(400);
  say("`3哈哈哈!", &temp3hold);
  say("`0哈哈哈!", &current_sprite);
  wait(400);
  &s2-milder = 1;  
    }

if (&result == 2)
  {
   wait(500);
   say_stop("听好了... 我已经不再当农民啦。", 1);
   wait(500);
   say_stop("`0那好吧，你真的想探险？", &current_sprite);
   wait(500);
   say_stop("当然啦！",1);
   wait(500);
   say_stop("`0去整理下Harper的草原吧, 农民孩子。", &current_sprite);
   wait(500);
  say("`3哈哈哈!", &temp3hold);
  say_stop("`0哈哈哈哈哈!", &current_sprite);
  &s2-milder = 2;
  }

 if (&result == 3)
  {
   wait(500);
   say_stop("看...",1);
   wait(500);
  say_stop("`0什么都别说了，等你做出什么成绩了再来。", &current_sprite);
  }


 if (&result == 4)
  {
   wait(500);
  say_stop("`0嘿，是丁克！Hey, it's Dink!  Great job on saving that girl!", &current_sprite);
   wait(500);
  say_stop("`3我就说他有潜力的嘛！", &temp3hold);
   wait(500);
   say_stop("那，你们那时候不都在笑我吗？",1);
   wait(500);
  say_stop("`0不，那是，额，另外两个人...", &current_sprite);
   wait(500);
  }



   unfreeze(1);
   goto mainloop;
   return;
goto mainloop;

}

